package com.lightinit.hsdataplatform.model.admin;

import com.lightinit.hsdataplatform.entity.BaseExample;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class InvoiceSearchModel extends BaseExample {
    private String userName;
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date fromDate;
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date toDate;
    private String invoiceState;

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Date getFromDate() {
        return fromDate;
    }

    public void setFromDate(Date fromDate) {
        this.fromDate = fromDate;
    }

    public Date getToDate() {
        return toDate;
    }

    public void setToDate(Date toDate) {
        this.toDate = toDate;
    }

    public String getInvoiceState() {
        return invoiceState;
    }

    public void setInvoiceState(String invoiceState) {
        this.invoiceState = invoiceState;
    }
}
